#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Ejemplo de lectura de archivo de photogate y procesamiento de datos

"""

# Importamos librerías estándares

from numpy import *
import matplotlib.pyplot as plt

#%% Grafico los datos 

import pandas as pd  

df = pd.read_csv('datos_grupos.csv')


g = 9.8

largo    = linspace(0, 200)
periodo  = 2*pi*sqrt(largo/100/g)

plt.figure()
cm = plt.get_cmap('gist_rainbow')


plt.plot( largo, periodo , '--', color='black', lw=3, alpha=0.4, label='modelo')
# plt.fill_between( largo, 2*pi*sqrt(largo/100/9.75), 2*pi*sqrt(largo/100/9.85) ,
#                  color='black', alpha=0.4)



plt.xlim(-5,200)
plt.grid(True,ls=':')
plt.xlabel('largo [cm]')
plt.ylabel('periodo [s]')
plt.tight_layout()


periodos = df['T'].values
per_errs = df['err_T'].values
largos   = df['L'].values
lar_errs = df['err_L'].values
grupos   = df['grupo'].values

random.shuffle(grupos)

for grupo,T,err_T,L,err_L,col in zip(grupos,periodos,per_errs,largos,lar_errs,cm(linspace(0,1,len(grupos)))):
    plt.errorbar(L, T, xerr=err_L, yerr=err_T, capsize=3, fmt='o', 
                 label=grupo, color=col, alpha=0.7)
    

plt.legend(ncol=2)

